Delete Conversation Messages
curl --request DELETE \
--url https://api.chat-dash.com/v1/public/agents/{agentId}/conversations/{conversationId}/messages \
--header 'Authorization: <authorization>'import requests
url = "https://api.chat-dash.com/v1/public/agents/{agentId}/conversations/{conversationId}/messages"
headers = {"Authorization": "<authorization>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<authorization>'}};
fetch('https://api.chat-dash.com/v1/public/agents/{agentId}/conversations/{conversationId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Messages deleted successfully"
}{
"error": "An unexpected error occurred"
}Messages
Delete Conversation Messages
Delete all messages for a conversation
DELETE
/
agents
/
{agentId}
/
conversations
/
{conversationId}
/
messages
Delete Conversation Messages
Headers
All requests to the ChatDash API must be validated with the agency API Key found on your agency profile
Path Parameters
The ID of the agent
The ID of the conversation
Response
OK
Example:
"Messages deleted successfully"
⌘I
